package com.kingdee.eas.custom.facade.housrapproval;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class HourapprovalFacadeFactory
{
    private HourapprovalFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.facade.housrapproval.IHourapprovalFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.facade.housrapproval.IHourapprovalFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("C642C5DB") ,com.kingdee.eas.custom.facade.housrapproval.IHourapprovalFacade.class);
    }
    
    public static com.kingdee.eas.custom.facade.housrapproval.IHourapprovalFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.housrapproval.IHourapprovalFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("C642C5DB") ,com.kingdee.eas.custom.facade.housrapproval.IHourapprovalFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.facade.housrapproval.IHourapprovalFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.housrapproval.IHourapprovalFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("C642C5DB"));
    }
    public static com.kingdee.eas.custom.facade.housrapproval.IHourapprovalFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.housrapproval.IHourapprovalFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("C642C5DB"));
    }
}